Get/Search Brands

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Use this API to retrieve product brand details from your organisation. You can fetch brands in bulk, search brands by name, or retrieve specific brands using brand codes or brand IDs. The API supports pagination, sorting, and filtering, and can optionally return brand hierarchies such as parent and child brands.

You can use this API to:

  • Fetch all brands in the organisation.
  • Search brands by brand name prefix (first few words of the brand).
  • Retrieve specific brands using brand codes or IDs.
  • Fetch only root-level brands.
  • Retrieve parent–child brand relationships for a single brand.
  • Filter brands by organisation unit (OU) when OU support is enabled.

The response includes brand metadata, hierarchy details (when requested), attribution information, and pagination details.

Example request

curl --location 'https://eu.api.capillarytech.com/v2/product/brands' \
--header 'Authorization: Basic ' \
--header 'Cookie: _cfuvid=9DWRtidwXo50cunVeT_TzRLfzWUtuDnZ4BhU0CU8nL4-1762419809122-0.0.1.1-604800000'
curl --location 'https://nightly.api.capillarytech.com/v2/product/brands?entityCodes=brandou%2C%20cycleBrand' \
--header 'Authorization: Basic bmVl==' \
--header 'Cookie: _cfuvid=adIdLElC8oafEHIbx7hw7GbX277Vu_kA.mTpq2xD18k-1762750332464-0.0.1.1-604800000'
curl --location 'https://nightly.api.capillarytech.com/v2/product/brands?q=cycle' \
--header 'Authorization: Basic bmVlcmFqa3JpTM2ODI2NmMxOQ==' \
--header 'Cookie: _cfuvid=adIdLElC8oafEHIbx7hw7GbX277Vu_kA.mTpq2xD18k-1762750332464-0.0.1.1-604800000'

Prerequisites

Resource information

Pagination supportYes
Batch supportYes

Query parameters

FieldTypeRequiredDescription
qstringOptionalSearch brands by brand code. The brand code is the name of the product brand and appears as the name on the UI.This returns brands whose names start with the specified query string. This field is case-insensitive and supports UTF-8 characters. The maximum number of characters supported is 30.
entityCodesstringOptionalSingle or comma-separated brand codes (brand name). The maximum number of entity codes supported is 30, and the maximum length allowed for a single entity code is 50. Example - Levis, Adidas.Used when q is not provided
entityIdsstringOptionalSingle or comma-separated list of brand IDs to retrieve. The maximum number of entity IDs supported is 30. Example - 1000, 1999.Used when q and entityCodes are not provided
rootbooleanOptionalIf set to true, it retrieves only root-level brands (brands with no parent). Cannot be used with entityCodes or entityIds filters. Default: false.
includeChildrenbooleanOptionalIncludes parent and children brands in the response. Only works when retrieving a single brand using entityCodes or entityIds. When multiple brands are returned, hierarchy is not included, and a warning is returned. Default: false
childrenLimitintegerOptionalMaximum number of child brands to include when includeChildren=true. Default: 10, Max: 20
childrenOffsetintegerOptionalNumber of child brands to skip when includeChildren=true. Use for paginating through child brands. Default: 0. For example, if you set the value to 10, it skips the first 10 child entities and return the next set.
limitintegerOptionalMaximum number of brands to retrieve. The default value is 10, and the maximum allowed value is 100.
offsetintegerOptionalNumber of brands to skip from the beginning of the result set. Use for pagination.
sortBystringOptionalField to sort by. Supported values: id, code. Default: id
sortOrderstringOptionalSort direction. Supported values: ASC, DESC. Default: ASC
ouCodestringOptionalOrganization unit code. Use to filter brands by organizational unit when OU support is enabled.
fetchTypestringScope of brands to fetch. Values: ALL (master org and OU), ORG (master org only), SCOPE (OU only).

Example response

{
    "data": [
        {
            "id": 194757,
            "orgId": 50583,
            "ouId": -1,
            "code": "brand",
            "name": "brand",
            "attribution": {
                "createdBy": 15000449,
                "createdDate": "2022-08-31T00:00:00+05:30",
                "modifiedDate": "2022-08-31T00:00:00+05:30"
            }
        },
        {
            "id": 194758,
            "orgId": 50583,
            "ouId": 50025951,
            "code": "brandou",
            "name": "brandou",
            "attribution": {
                "createdBy": 15000449,
                "createdDate": "2022-08-31T00:00:00+05:30",
                "modifiedDate": "2022-08-31T00:00:00+05:30"
            }
        },
        {
            "id": 197785,
            "orgId": 50583,
            "ouId": -1,
            "code": "cycleBrand",
            "name": "cycleBrand",
            "parent": {
                "id": 194757,
                "code": "brand",
                "name": "brand"
            },
            "attribution": {
                "createdBy": 15000449,
                "createdDate": "2022-12-28T00:00:00+05:30",
                "modifiedDate": "2022-12-28T00:00:00+05:30"
            }
        },
        {
            "id": 1205401,
            "orgId": 50583,
            "ouId": -1,
            "code": "brand_code",
            "name": "brand_name13",
            "parent": {
                "id": 194757,
                "code": "brand",
                "name": "brand"
            },
            "attribution": {
                "createdBy": 50685381,
                "createdDate": "2024-07-03T00:00:00+05:30",
                "modifiedDate": "2024-07-03T00:00:00+05:30"
            }
        },
        {
            "id": 1205459,
            "orgId": 50583,
            "ouId": -1,
            "code": "ARROW NEWYORK",
            "name": "ARROW NEWYORK",
            "attribution": {
                "createdBy": 50685381,
                "createdDate": "2024-07-10T00:00:00+05:30",
                "modifiedDate": "2024-07-10T00:00:00+05:30"
            }
        },
        {
            "id": 1205460,
            "orgId": 50583,
            "ouId": -1,
            "code": "ARROW FORMALS",
            "name": "ARROW FORMALS",
            "attribution": {
                "createdBy": 50685381,
                "createdDate": "2024-07-10T00:00:00+05:30",
                "modifiedDate": "2024-07-10T00:00:00+05:30"
            }
        },
        {
            "id": 1242083,
            "orgId": 50583,
            "ouId": -1,
            "code": "Rolex",
            "name": "Rolex Watches",
            "attribution": {
                "createdBy": 50019411,
                "createdDate": "2025-09-19T00:00:00+05:30",
                "modifiedDate": "2025-09-19T00:00:00+05:30"
            }
        },
        {
            "id": 1242084,
            "orgId": 50583,
            "ouId": -1,
            "code": "Arrow_Sport",
            "name": "Arrow Sport",
            "parent": {
                "id": 1205460,
                "code": "ARROW FORMALS",
                "name": "ARROW FORMALS"
            },
            "attribution": {
                "createdBy": 50019411,
                "createdDate": "2025-09-19T00:00:00+05:30",
                "modifiedDate": "2025-09-19T00:00:00+05:30"
            }
        },
        {
            "id": 1242085,
            "orgId": 50583,
            "ouId": -1,
            "code": "Rolex_123",
            "name": "Rolex Watches 123",
            "attribution": {
                "createdBy": 50019411,
                "createdDate": "2025-09-19T00:00:00+05:30",
                "modifiedDate": "2025-09-19T00:00:00+05:30"
            }
        },
        {
            "id": 1242086,
            "orgId": 50583,
            "ouId": -1,
            "code": "Rolex_234",
            "name": "Rolex Watches 234",
            "parent": {
                "id": 1242085,
                "code": "Rolex_123",
                "name": "Rolex Watches 123"
            },
            "attribution": {
                "createdBy": 50019411,
                "createdDate": "2025-09-19T00:00:00+05:30",
                "modifiedDate": "2025-09-19T00:00:00+05:30"
            }
        }
    ],
    "pagination": {
        "limit": 10,
        "offset": 0,
        "total": 16
    }
}
{
    "data": [
        {
            "id": 194757,
            "orgId": 50583,
            "ouId": -1,
            "code": "brand",
            "name": "brand",
            "children": {
                "data": [
                    {
                        "id": 197785,
                        "code": "cycleBrand",
                        "name": "cycleBrand"
                    },
                    {
                        "id": 1205401,
                        "code": "brand_code",
                        "name": "brand_name13"
                    }
                ],
                "pagination": {
                    "limit": 10,
                    "offset": 0,
                    "total": 2
                }
            },
            "attribution": {
                "createdBy": 15000449,
                "createdDate": "2022-08-31T00:00:00+05:30",
                "modifiedDate": "2022-08-31T00:00:00+05:30"
            }
        }
    ],
    "pagination": {
        "limit": 10,
        "offset": 0,
        "total": 1
    }
}

Response parameters

FieldTypeDescription
dataarrayArray of brand objects matching the query.
.idlongUnique identifier of the brand.
.codestringBrand code.
.namestringBrand name.
.descriptionstringBrand description.
.ouIdlongOrganization unit ID. -1 indicates the brand belongs to the master organization.
.parentobjectParent brand information (only when includeChildren=true).
.parent.idlongParent brand ID.
.parent.codestringParent brand code.
.parent.namestringParent brand name.
.childrenarrayArray of child brands (only when includeChildren=true).
..idlongChild brand ID.
..codestringChild brand code.
..namestringChild brand name.
.attributionobjectInformation about who created and last updated the brand.
..createdBylongUser ID who created the brand.
..createdOnstringTimestamp when the brand was created. Returned in ISO 8601 format with the organisation’s configured timezone offset.
..updatedBylongUser ID who last updated the brand.
..updatedOnstringTimestamp when the brand was last updated. Returned in ISO 8601 format with the organisation’s configured timezone offset.
paginationobjectPagination information.
.limitintegerNumber of results per page.
.offsetintegerNumber of results skipped.
.totalintegerTotal number of brands matching the query.
warningsarrayArray of warning messages (if any).

Error & warning codes

CodeTypeDescription
10007ErrorYou can pass a maximum of 30 entityCodes. The request included more than 30 values.
10008ErrorYou can pass a maximum of 30 entityIds. The request included more than 30 values.
10004ErrorThe limit value cannot be more than 100.
10005ErrorThe limit value must be greater than 0.
10006ErrorThe offset value cannot be negative.
10002ErrorOU-level product filtering is disabled for your organisation, but an ouCode was provided. Remove the ouCode parameter or contact your administrator.
10001ErrorThe provided ouCode does not exist or is invalid. Check the code and try again.
10009WarningThe q parameter was used. The entityCodes and entityIds filters were ignored.
10010WarningThe entityCodes filter was used. The entityIds filter was ignored.
10014WarningThe sortBy parameter is invalid. Results are sorted by id by default.
10016WarningThe includeChildren parameter works only for a single entity. It was ignored for this request.
10017WarningThe root parameter cannot be used with entityCodes or entityIds. It was ignored for this request.
10011WarningOne or more blank values were found in entityCodes or entityIds. These values were ignored.
10012WarningSome entityIds contain non-numeric values. These values were ignored.
10013WarningAll provided entityIds were invalid. The API returned all available entities instead.

Query Params
boolean
string
integer
Headers
string
Defaults to Basic bmVlcmFqa3Jpc2huYTpkY2VhNmU1ODlhM2U0M2JhODdkMTFkMTM2ODI2NmMx
string
Response
200

Successful response

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!